Module java.naming
Package javax.naming

# Class NoPermissionException

java.lang.Object
java.lang.Throwable
java.lang.Exception
javax.naming.NamingException
javax.naming.NamingSecurityException
javax.naming.NoPermissionException

All Implemented Interfaces:
  `Serializable`

public class NoPermissionException extends NamingSecurityException
This exception is thrown when attempting to perform an operation for which the client has no permission. The access control/permission model is dictated by the directory/naming server.

Synchronization and serialization issues that apply to NamingException apply directly here.

Since:
  1.3
See Also:
  Serialized Form

## Field Summary

### Fields declared in class javax.naming.NamingException

`remainingName, resolvedName, resolvedObj, rootException`

## Constructor Summary

Constructors
Constructor
Description
`NoPermissionException()`
Constructs a new instance of NoPermissionException.
`NoPermissionException​(String explanation)`
Constructs a new instance of NoPermissionException using an explanation.

## Method Summary

### Methods declared in class javax.naming.NamingException

`appendRemainingComponent, appendRemainingName, getCause, getExplanation, getRemainingName, getResolvedName, getResolvedObj, getRootCause, initCause, setRemainingName, setResolvedName, setResolvedObj, setRootCause, toString, toString`

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NoPermissionException

public NoPermissionException​(String explanation)
Constructs a new instance of NoPermissionException using an explanation. All other fields default to null.

Parameters:
  `explanation` - Possibly null additional detail about this exception.

### NoPermissionException

public NoPermissionException()
Constructs a new instance of NoPermissionException. All fields are initialized to null.